Download customer document

This request downloads a customer document saved within your account.

   Click here to learn more about this request

Customer documents are stored within LoanPro's Document Manager and are often used to keep copies of a borrower's loan agreement, identification information, and more. Note the following when using this request:

The endpoint of this request requires the ID of the file. To find the ID of a customer document, use the GET all customer documents request.

The endpoint of this request also requires the name of the file. This is a value that's generated by the system when the file is uploaded—not the name of the file shown in the UI. This value isn't shown in the UI, and it's stored within the FileAttachment object nested within the Documents object. To find this value, send a GET request to the following endpoint:

https://loanpro.simnang.com/odata.svc/Customers({CustomerID})/Documents({DocumentID})?$select=FileAttachment&$expand=FileAttachment

The response from the request above will include system-generated filename within the "fileName" field. The value in this field is added to the endpoint and is required to download the file. Here's an example of what to look for:

{
    "d": {
        "__metadata": {
            "uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/CustomerDocuments(id=46)",
            "type": "Entity.CustomerDocument"
        },
        "FileAttachment": {
            "__metadata": {
                "uri": "http://loanpro.simnang.com/api/public/api/1/odata.svc/FileAttachments(id=456)",
                "type": "Entity.FileAttachment"
            },
            "id": 456,
            "parentType": "Entity.CustomerDocument",
            "parentId": 46,
            "fileName": "ProofOfIncome_61d6253c578d8502f1d37ed9103df22671a82ea4f72f2.txt", // 👈 This is the system-generated filename.
            "fileOriginalName": "ProofOfIncome",
            "fileSize": 1,
            "fileMime": "text/plain",
            "fileUrl": null
        },
        "summary": {
            "start": 0,
            "pageSize": 50,
            "total": 0
        }
    }
}

For an example of how customer documents work within the UI, take a look at our Customer Details article.

Database

For information regarding customer and document database tables, see the following articles:

Database – Customer Document Entity (customer_document_entity)

Database – Document Section Entity (doc_section_entity)

Database – Customer Main Table (customer_entity)

Path Params
int32
required

The ID of your tenant account.

int32
required

The ID of the customer document.

string
required
Defaults to customer_document_6217a94d247adf032a3f8fb64e79cf1c12f7a59f2681f.txt

The customer document file name.
> This is the filename that's generated by the system. To find this ID, send the GET request detailed above.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json